# TVESA_Rec Struct Reference

`#include <ogDisplay_VESA.h>`

## Public Member Functions

char VBESignature[4] | __attribute__ ((packed))
uInt8 minVersion | __attribute__ ((packed))
uInt8 majVersion | __attribute__ ((packed))
uInt32 OEMStringPtr | __attribute__ ((packed))
uInt32 Capabilities | __attribute__ ((packed))
uInt32 VideoModePtr | __attribute__ ((packed))
uInt16 TotalMemory | __attribute__ ((packed))
uInt16 OEMSoftwareRev | __attribute__ ((packed))
uInt32 OEMVendorNamePtr | __attribute__ ((packed))
uInt32 OEMProductNamePtr | __attribute__ ((packed))
uInt32 OEMProductRevPtr | __attribute__ ((packed))
uInt8 paddington[474] | __attribute__ ((packed))

## Member Function Documentation

uInt8 paddington [474] TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

uInt32 OEMProductRevPtr TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

uInt32 OEMProductNamePtr TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

uInt32 OEMVendorNamePtr TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 OEMSoftwareRev TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

uInt16 TotalMemory TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

uInt32 VideoModePtr TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

uInt32 Capabilities TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

uInt32 OEMStringPtr TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 majVersion TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

uInt8 minVersion TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

char VBESignature [4] TVESA_Rec::__attribute__ | ( | (packed) |  | ) |

The documentation for this struct was generated from the following file:

- ogDisplay_VESA.h